Subject: [Pals] Benoit Claise's No Objection on draft-ietf-pals-endpoint-fast-protection-04: (with COMMENT)

From: "Benoit Claise" <[email-masked]>
Date: Thu, 15 Dec 2016 05:46:16 -0800

Benoit Claise has entered the following ballot position for
draft-ietf-pals-endpoint-fast-protection-04: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-pals-endpoint-fast-protection/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Editorial nits (From Sue Hares, part of her OPS-DIR review)

1.       Page 10  - style makes difficult reading of sentence  (very
minor nit).

OLD /A PLR MUST Be able to detect a failure by using a rapid mechanism,
such as physical layer failure detection, Bidirectional failure detection
(BFD) [RFC5880], etc. /

NEW /A PLR MUST Be able to detect a failure by using a rapid mechanism,
such as physical layer failure detection, Bidirectional failure detection
(BFD) [RFC5880], and others/

2.       Page 32 – difficult to parse sentence

      Old/For Encoding type, 1 is defined for PWid FEC element format,
and 2 is defined for the Generalized PWid FEC Element format [RFC4447]./

      New/ For type encoding type, the following two values are defined
within this document:

-          Type 1 for PWid FEC element format (see section 6.4.1.), and

-          Type 2 for Generalized PWid FEC Element format [RFC4447

---

From: Greg Mirsky <[email-masked]>
Date: Thu, 15 Dec 2016 08:11:59 -0800

Dear Authors, Benoit, et. al,
I've just noticed, from Benoit comment to p.10 of the document, that BFD,
defined in RFC 5880, being mistakenly expanded as Bidirectional Failure
Detection while it is Bidirectional Forwarding Detection.

Regards,
Greg

On Thu, Dec 15, 2016 at 5:46 AM, Benoit Claise <[email-masked]> wrote:

> _______________________________________________
> Pals mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pals
>

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Thu, 15 Dec 2016 20:52:33 +0000

Yimin, authors,

This message also made me read that paragraph and I have a couple additional editorial comments and suggestions for your consideration:

1. I think it would be very useful to explicitly call out S-BFD on this.

OLD:

   A PLR
   MUST be able to detect a failure by using a rapid mechanism, such as
   physical layer failure detection, Bidirectional Failure Detection
   (BFD) [RFC5880], etc.  In anticipation of the failure, the PLR MUST

NEW:

   A PLR
   MUST be able to detect a failure by using a rapid mechanism, such as
   physical layer failure detection, Bidirectional Forwarding Detection
   (BFD) [RFC 5880], Seamless BFD (S-BFD) [RFC 7880], and others.
   In anticipation of the failure, the PLR MUST

2. Similarly, “VCCV” is mentioned without expanding the acronym or explaining what it is:

OLD:

      Possible triggers of
      global repair include PW status notification, VCCV, BFD, end-to-

NEW:

      Possible triggers of
      global repair include PW status notification, the Pseudowire Virtual
      Circuit Connectivity Verification (VCCV) [RFC 5085] [RFC 5885],
      BFD, end-to-

Thanks,

—
Carlos Pignataro, [email-masked]<mailto:[email-masked]>

“Sometimes I use big words that I do not fully understand, to make myself sound more photosynthesis."

On Dec 16, 2016, at 1:11 AM, Greg Mirsky <[email-masked]<mailto:[email-masked]>> wrote:

Dear Authors, Benoit, et. al,
I've just noticed, from Benoit comment to p.10 of the document, that BFD, defined in RFC 5880, being mistakenly expanded as Bidirectional Failure Detection while it is Bidirectional Forwarding Detection.

Regards,
Greg

On Thu, Dec 15, 2016 at 5:46 AM, Benoit Claise <[email-masked]<mailto:[email-masked]>> wrote:
Benoit Claise has entered the following ballot position for
draft-ietf-pals-endpoint-fast-protection-04: No Objection

_______________________________________________
Pals mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/pals

_______________________________________________
Pals mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/pals

---

From: Yimin Shen <[email-masked]>
Date: Fri, 16 Dec 2016 19:19:41 +0000

Hi Benoit,

Thanks very much for your review and valuable comments! We will fix both nits in the next revision.

Thanks,

-- Yimin

On 12/15/16, 8:46 AM, "Benoit Claise" <[email-masked]> wrote:

---

From: Yimin Shen <[email-masked]>
Date: Fri, 16 Dec 2016 19:38:45 +0000

Hi Greg,

Thanks for your review, and nice catch ! We will fix this.

Thanks,

-- Yimin

From: Greg Mirsky <[email-masked]>
Date: Thursday, December 15, 2016 at 11:11 AM
To: Benoit Claise <[email-masked]>
Cc: The IESG <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Susan Hares <[email-masked]>, "[email-masked]" <[email-masked]>, Stewart Bryant <[email-masked]>
Subject: Re: [Pals] Benoit Claise's No Objection on draft-ietf-pals-endpoint-fast-protection-04: (with COMMENT)
Resent-From: <[email-masked]>
Resent-To: Yimin Shen <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Thursday, December 15, 2016 at 11:12 AM

Regards,
Greg

---

From: Yimin Shen <[email-masked]>
Date: Fri, 16 Dec 2016 21:37:12 +0000

Hi, Carlos,

Thanks again for your review and comments ! We will revise the text as suggested, and add reference to these RFCs.

Thanks,

-- Yimin

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Thursday, December 15, 2016 at 3:52 PM
To: Greg Mirsky <[email-masked]>
Cc: "Benoit Claise (bclaise)" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, The IESG <[email-masked]>, "[email-masked]" <[email-masked]>, Stewart Bryant <[email-masked]>, Sue Hares <[email-masked]>
Subject: Re: [Pals] Benoit Claise's No Objection on draft-ietf-pals-endpoint-fast-protection-04: (with COMMENT)
Resent-From: <[email-masked]>
Resent-To: Yimin Shen <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Thursday, December 15, 2016 at 3:52 PM

Yimin, authors,

OLD:

   A PLR

NEW:

   A PLR

OLD:

      Possible triggers of

      Possible triggers of

Thanks,

—

Regards,
Greg